2021-04-18 21:48 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005106Mystical[WHDLoad Installs Games] slavepublic2021-04-10 04:54
Reporterretrogamer 
Assigned ToCFOUProject InfoMystical (Infogrames)
http://www.whdload.de/games/Mystical.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0005106: Exception "Line 1010 Emulator" (28) after the intro
DescriptionException "Line 1010 Emulator" (28) after the intro.

And please reduce memory usage to 512kb only.
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem1 MB
FastMem0 MB
WorkbenchOS 2.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.6
imported
Attached Files
  • ? file icon whdl_registermystical (3,444 bytes) 2021-04-06 23:12 -
    ************************* 26-Dec-15 16:07:10 ************************18.2.5735***
    Slave='Mystical.Slave' (2136 bytes)
    ShadowMem   2ED730 -   332730 ( 282624) AbsolutMem    45000 -   100000 ( 765952)
    Resload     2DB170 -   2E1804 (  26260) at 2DB170  GL=$2E5858
    Slave       234460 -   234C94 (   2100) at 234460  BaseMemSize=$100000
    attn=203(UAE,20) fc=-1 kn=0 cs=C42D rw=1 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Line 1010 Emulator" ($28) at $1002 occured.
    
    $00000fca ori.b        #0,d0
    $00000fce ori.b        #0,d0
    $00000fd2 ori.b        #0,d0
    $00000fd6 ori.b        #0,d0
    $00000fda ori.b        #0,d0
    $00000fde ori.b        #0,d0
    $00000fe2 ori.b        #0,d0
    $00000fe6 ori.b        #0,d0
    $00000fea ori.b        #0,d0
    $00000fee ori.b        #0,d0
    $00000ff2 ori.b        #0,d0
    $00000ff6 ori.b        #0,d0
    $00000ffa ori.b        #0,d0
    $00000ffe cmp2.b       #??$50,d0
    $00001004 subq.l       #5,(-$5b06,a7)                 ;$0007a0d2
    $00001008 move.b       d5,d7
    $0000100a asl.l        d1,d0
    $0000100c cmpi.w       #$f2fc,(a7)+                   ;$0007fbd8
    $00001010 dc.w         $7903
    $00001012 or.w         d7,(a0)                        ;$0000f7ec
    $00001014 move.w       (-$3603,a7),(a0)               ;$0007c5d5 $0000f7ec
    $00001018 asl.b        #3,d2
    $0000101a move.b       ($6217,a0),(a6)+               ;$00015a03 $0000f75a
    $0000101e divs         ($1024,pc,a5.l*4),d2           ;$00001024
    $00001022 dc.w         $79d1
    $00001024 or.b         ($5dff,a6),d1                  ;$00015559
    $00001028 move.w       d0,-(a1)                       ;$0007f23b
    $0000102a roxr         -(a3)                          ;$0000f7c0
    $0000102c move.b       (a4)+,-(a4)                    ;$00000000 $00000000
    
    exception stackframe:
    $0007FBD8 200C0000 10020028
    regular stack:
    $0007FBE0 00003D68 000001F5 0007F431 00000000 00013D4E 00013BAE 00012DAC 000125D0
    $0007FC00 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0007FC20 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0007FC40 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0007FC60 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx      1FD       200     7F23B       1F5         8        F0      FFFF         0
    Ax     F7EC     7F23B         0      F7C0         0         0      F75A
    
                     TTSM III   XNZVC
    PC=    100222m  SR %0010000000001100  USP=E17C  1mISP=7FBD8  MSP=FF800
    VBR=2E6858  SFC=5  DFC=5  CACR=0  CAAR=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%011000000010100022m dmacon=%1m0010001111000000 adkcon=$1100
    intreq=%0000000000000000
    vposr....A000  vhposr...031E  joy0dat..0303  joy1dat..0000  clxdat...81FE  
    pot0dat..0000  pot1dat..5852  potinp...5500  serdatr..3000  dskbytr..0000  
    deniseid.FFFC  hhposr...5DC8  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000000122m  ta= 5D0<38E5	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000000122m  tb= 95F<50FF	   crb=1m00000000  tb=50FF<50FF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=1111110022m  prb=1m1111111122m      pra=1m0000011122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=00006E  icr=00  sdr=00    event=00867F  icr=00  sdr=00
    
    ? file icon whdl_registermystical (3,444 bytes) 2021-04-06 23:12 +

-Relationships
related to 0003516closed Exception "Line 1010 Emulator" (28) after the intro 
related to 0003173closedWepl Crash on start 
+Relationships

-Notes

note ~0009898

CFOU (developer)

for startup crash on 68000
use noautovec tooltype:
http://mantis.whdload.de/view.php?id=3173

but i have fixed it with beta version

note ~0009899

CFOU (developer)

for memory problem game seems write by error at adress upon $80000
for the moment i am not found good solution
+Notes

-Issue History
Date Modified Username Field Change
2021-04-06 23:12 retrogamer New Issue
2021-04-06 23:12 retrogamer File Added: whdl_registermystical
2021-04-07 00:31 JOTD Assigned To => CFOU
2021-04-07 00:31 JOTD Status new => assigned
2021-04-09 02:19 CFOU Relationship added related to 0003516
2021-04-09 02:20 CFOU Relationship added related to 0003173
2021-04-09 02:22 CFOU Note Added: 0009898
2021-04-09 02:23 CFOU Note Added: 0009899
2021-04-10 04:54 CFOU Status assigned => closed
2021-04-10 04:54 CFOU Resolution open => fixed
+Issue History